Subject: Re: [take24 0/6] kevent: Generic event handling mechanism.

From: Jeff Garzik <[email-masked]>
Date: Mon, 20 Nov 2006 16:46:16 -0500

Ulrich Drepper wrote:
> Evgeniy Polyakov wrote:
>> It is exactly how previous ring buffer (in mapped area though) was
>> implemented.
> 
> Not any of those I saw.  The one I looked at always started again at 
> index 0 to fill the ring buffer.  I'll wait for the next implementation.

I like the two-pointer ring buffer approach, one pointer for the 
consumer and one for the producer.

> You don't want to have a channel like this.  The userlevel code doesn't 
> know which threads are waiting in the kernel on the event queue.  And it 

Agreed.

> You are still completely focused on AIO.  We are talking here about a 
> new generic event handling.  It is not tied to AIO.  We will add all 

Agreed.

> As I said, relative timeouts are unable to cope with settimeofday calls 
> or ntp adjustments.  AIO is certainly usable in situations where 
> timeouts are related to wall clock time.

I think we have lived with relative timeouts for so long, it would be 
unusual to change now.  select(2), poll(2), epoll_wait(2) all take 
relative timeouts.

	Jeff